Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kStatus Struct Reference
kApi

## Description

Represents an error code.

kStatus supports the kdat6 serialization protocol.

Inheritance diagram for kStatus:

## Public Member Functions
const kChar * | kStatus_Name (kStatus status)
| Returns a text string representing the name of a status code (e.g. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Related
#define | kERROR_STATE (-1000)
| Invalid state.
#define | kERROR_NOT_FOUND (-999)
| Item is not found.
#define | kERROR_COMMAND (-998)
| Command not recognized.
#define | kERROR_PARAMETER (-997)
| Parameter is invalid.
#define | kERROR_UNIMPLEMENTED (-996)
| Feature not implemented.
#define | kERROR_MEMORY (-994)
| Out of memory.
#define | kERROR_TIMEOUT (-993)
| Action timed out.
#define | kERROR_INCOMPLETE (-992)
| Buffer insufficient for data.
#define | kERROR_STREAM (-991)
| Error in stream.
#define | kERROR_CLOSED (-990)
| Resource is no longer available.
#define | kERROR_VERSION (-989)
| Incompatible version.
#define | kERROR_ABORT (-988)
| Operation aborted.
#define | kERROR_ALREADY_EXISTS (-987)
| Conflicts with existing item.
#define | kERROR_NETWORK (-986)
| Network setup/resource error.
#define | kERROR_HEAP (-985)
| Heap error (leak/double-free).
#define | kERROR_FORMAT (-984)
| Data parsing/formatting error.
#define | kERROR_READ_ONLY (-983)
| Object is read-only (cannot be written).
#define | kERROR_WRITE_ONLY (-982)
| Object is write-only (cannot be read).
#define | kERROR_BUSY (-981)
| Agent is busy (cannot service request).
#define | kERROR_CONFLICT (-980)
| State conflicts with another object.
#define | kERROR_OS (-979)
| Generic error reported by underlying OS.
#define | kERROR_DEVICE (-978)
| Hardware device error.
#define | kERROR_FULL (-977)
| Resource is already fully utilized.
#define | kERROR_IN_PROGRESS (-976)
| Operation is in progress, but not yet complete.
#define | kERROR (0)
| General error.
#define | kOK (1)
| Operation successful.

The documentation for this struct was generated from the following file:

- kApiDef.h